Mono.Simd 2.0.0.0 System.Enum Determines how values are propagaged on initialization. This enumeration is used creating new Vectors from existing Vectors and determines how the values in the source Vector are copied into the target vector. The core values are the AFromB enumeration, the other enumeration values are just common patterns defined in terms of the AFromB enumeration values.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Helper: Expands interleaving elements (x, y, z, w) into (x, y, x, y).
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Helper: Expands interleaving elements (x, y, z, w) into (z, w, z, w).
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Helper: Fills all the values with the value of W.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Helper: Fills all the values with the value of X.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Helper: Expands the x, y values from (x, y, z, w) into (x, x, y, y).
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Helper: Fills all the values with the value of X.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Helper: Fills all the values with the value of X.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Helper: Expands the z, w values from (x, y, z, w) into (z, z, w, w).
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Helper: Rotates the vector elements to the left (x, y, z, w) becomes (w, x, y, z).
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Helper: Rotates the vector elements to the right. (x, y, z, w) becomes (y, z, w, x).
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Helper: Swaps values. (x, y, w, z) becomes (w, z, y, x).
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the W value is copied from the source W value.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the W value is copied from the source X value.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the W value is copied from the source Y value.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the W value is copied from the source Z value.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the X value is copied from the source W value.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the X value is copied from the source X value.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the X value is copied from the source Y value.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the X value is copied from the source Z value.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the Y value is copied from the source W value.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the Y value is copied from the source X value.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the Y value is copied from the source Y value.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the Y value is copied from the source Z value.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the Z value is copied from the source W value.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the Z value is copied from the source X value.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the Z value is copied from the source Y value.
- Field
  2.0.0.0
  Mono.Simd.ShuffleSel Indicates that the Z value is copied from the source Z value.